#include <cmath>
#include "dcc_log.hpp"
// ++++++++++++++++++++++++++++++++++
// + Code generated by dcc 1.0      +
// ++++++++++++++++++++++++++++++++++
void t1_icd(double* x0, double* t1_x0, double* u, double* t1_u, int& n, int& m, int& n_T, int& n_Theta, int& n_Tau)
//$ad indep u t1_u
//$ad dep x0 t1_x0
{
   int i=0; 
   int cond=0; 
   int cond_2=0; 
   int cond_3=0; 
   int cond_4=0; 
   int cond_5=0; 
   int cond_6=0; 
   double exp_1=0; 
   double t1_exp_1=0; 
   double v1_0=0; 
   double t1_v1_0=0; 
   double v1_1=0; 
   double t1_v1_1=0; 
   double v1_2=0; 
   double t1_v1_2=0; 
   double v1_3=0; 
   double t1_v1_3=0; 
   double v1_4=0; 
   double t1_v1_4=0; 
   double v1_5=0; 
   double t1_v1_5=0; 
   double v1_6=0; 
   double t1_v1_6=0; 
   double v1_7=0; 
   double t1_v1_7=0; 
   double v1_8=0; 
   double t1_v1_8=0; 
   double v1_9=0; 
   double t1_v1_9=0; 
   double v1_10=0; 
   double t1_v1_10=0; 
   // nonfloat assignment
   cond=16+n_T-1;
   // nonfloat assignment
   cond_2=16+n_T+n_Theta;
   // nonfloat assignment
   cond_3=16+n_T+2*n_Theta-1;
   // nonfloat assignment
   cond_4=16+n_T+2*n_Theta+n_Tau-1;
   // nonfloat assignment
   cond_5=16+n_T+2*n_Theta+2*n_Tau;
   // nonfloat assignment
   cond_6=16+n_T+2*n_Theta+3*n_Tau;
   t1_v1_0=0;
 // TLM constant reference
   v1_0=284.996;
 // SAC constant reference
   t1_x0[0]=t1_v1_0; // TLM =
   x0[0]=v1_0; // SAC =
   t1_v1_0=0;
 // TLM constant reference
   v1_0=285;
 // SAC constant reference
   t1_x0[1]=t1_v1_0; // TLM =
   x0[1]=v1_0; // SAC =
   t1_v1_0=0;
 // TLM constant reference
   v1_0=285;
 // SAC constant reference
   t1_x0[2]=t1_v1_0; // TLM =
   x0[2]=v1_0; // SAC =
   t1_v1_0=0;
 // TLM constant reference
   v1_0=285;
 // SAC constant reference
   t1_x0[3]=t1_v1_0; // TLM =
   x0[3]=v1_0; // SAC =
   t1_v1_0=0;
 // TLM constant reference
   v1_0=285;
 // SAC constant reference
   t1_x0[4]=t1_v1_0; // TLM =
   x0[4]=v1_0; // SAC =
   t1_v1_0=0;
 // TLM constant reference
   v1_0=284.996;
 // SAC constant reference
   t1_x0[5]=t1_v1_0; // TLM =
   x0[5]=v1_0; // SAC =
   t1_v1_0=t1_u[32]; // TLM array memory reference
   v1_0=u[32]; // SAC array memory reference
   t1_exp_1=t1_v1_0; // TLM =
   exp_1=v1_0; // SAC =
   t1_v1_0=t1_u[29]; // TLM array memory reference
   v1_0=u[29]; // SAC array memory reference
   t1_v1_1=t1_u[25]; // TLM array memory reference
   v1_1=u[25]; // SAC array memory reference
   v1_2=pow(v1_1,exp_1);  // SAC pow
   t1_v1_2=exp_1-1; t1_v1_2=exp_1*pow(v1_1,t1_v1_2)*t1_v1_1+v1_2*dcc_log(v1_1)*t1_exp_1; // TLM pow
   t1_v1_3=t1_u[30]; // TLM array memory reference
   v1_3=u[30]; // SAC array memory reference
   t1_v1_4=t1_v1_2+t1_v1_3; // TLM +
   v1_4=v1_2+v1_3; // SAC +
   t1_v1_5=t1_v1_4; // TLM ()
   v1_5=v1_4; // SAC ()
   v1_6=1/v1_5;
   t1_v1_6=v1_6*t1_v1_0-v1_0*v1_6*v1_6*t1_v1_5;// TLM /
   v1_6=v1_0*v1_6;
 // SAC /
   t1_v1_7=t1_u[31]; // TLM array memory reference
   v1_7=u[31]; // SAC array memory reference
   t1_v1_8=t1_v1_6+t1_v1_7; // TLM +
   v1_8=v1_6+v1_7; // SAC +
   t1_x0[6]=t1_v1_8; // TLM =
   x0[6]=v1_8; // SAC =
   t1_v1_0=0;
 // TLM constant reference
   v1_0=285;
 // SAC constant reference
   t1_x0[7]=t1_v1_0; // TLM =
   x0[7]=v1_0; // SAC =
   t1_v1_0=0;
 // TLM constant reference
   v1_0=285;
 // SAC constant reference
   t1_x0[8]=t1_v1_0; // TLM =
   x0[8]=v1_0; // SAC =
   t1_v1_0=0;
 // TLM constant reference
   v1_0=285;
 // SAC constant reference
   t1_x0[9]=t1_v1_0; // TLM =
   x0[9]=v1_0; // SAC =
   t1_v1_0=t1_u[12]; // TLM array memory reference
   v1_0=u[12]; // SAC array memory reference
   t1_v1_1=t1_u[13]; // TLM array memory reference
   v1_1=u[13]; // SAC array memory reference
   t1_v1_2=t1_v1_0-t1_v1_1; // TLM -
   v1_2=v1_0-v1_1; // SAC -
   t1_v1_3=t1_v1_2; // TLM ()
   v1_3=v1_2; // SAC ()
   t1_v1_4=t1_u[11]; // TLM array memory reference
   v1_4=u[11]; // SAC array memory reference
   v1_5=1/v1_4;
   t1_v1_5=v1_5*t1_v1_3-v1_3*v1_5*v1_5*t1_v1_4;// TLM /
   v1_5=v1_3*v1_5;
 // SAC /
   t1_x0[10]=t1_v1_5; // TLM =
   x0[10]=v1_5; // SAC =
   t1_v1_0=t1_u[23]; // TLM array memory reference
   v1_0=u[23]; // SAC array memory reference
   t1_v1_1=t1_u[25]; // TLM array memory reference
   v1_1=u[25]; // SAC array memory reference
   t1_v1_2=v1_1*t1_v1_0+v1_0*t1_v1_1; // TLM *
   v1_2=v1_0*v1_1; // SAC *
   t1_v1_3=0;
 // TLM constant reference
   v1_3=100;
 // SAC constant reference
   v1_4=1/v1_3;
   t1_v1_4=v1_4*t1_v1_2-v1_2*v1_4*v1_4*t1_v1_3;// TLM /
   v1_4=v1_2*v1_4;
 // SAC /
   t1_x0[11]=t1_v1_4; // TLM =
   x0[11]=v1_4; // SAC =
   t1_v1_0=t1_u[25]; // TLM array memory reference
   v1_0=u[25]; // SAC array memory reference
   t1_x0[12]=t1_v1_0; // TLM =
   x0[12]=v1_0; // SAC =
   t1_v1_0=t1_u[8]; // TLM array memory reference
   v1_0=u[8]; // SAC array memory reference
   t1_v1_1=0; // TLM scalar memory reference
   v1_1=n_T; // SAC scalar memory reference
   t1_v1_2=0;
 // TLM constant reference
   v1_2=1;
 // SAC constant reference
   t1_v1_3=t1_v1_1-t1_v1_2; // TLM -
   v1_3=v1_1-v1_2; // SAC -
   t1_v1_4=t1_v1_3; // TLM ()
   v1_4=v1_3; // SAC ()
   v1_5=1/v1_4;
   t1_v1_5=v1_5*t1_v1_0-v1_0*v1_5*v1_5*t1_v1_4;// TLM /
   v1_5=v1_0*v1_5;
 // SAC /
   t1_x0[13]=t1_v1_5; // TLM =
   x0[13]=v1_5; // SAC =
   t1_v1_0=t1_u[9]; // TLM array memory reference
   v1_0=u[9]; // SAC array memory reference
   t1_v1_1=0; // TLM scalar memory reference
   v1_1=n_Theta; // SAC scalar memory reference
   t1_v1_2=0;
 // TLM constant reference
   v1_2=1;
 // SAC constant reference
   t1_v1_3=t1_v1_1-t1_v1_2; // TLM -
   v1_3=v1_1-v1_2; // SAC -
   t1_v1_4=t1_v1_3; // TLM ()
   v1_4=v1_3; // SAC ()
   v1_5=1/v1_4;
   t1_v1_5=v1_5*t1_v1_0-v1_0*v1_5*v1_5*t1_v1_4;// TLM /
   v1_5=v1_0*v1_5;
 // SAC /
   t1_x0[14]=t1_v1_5; // TLM =
   x0[14]=v1_5; // SAC =
   t1_v1_0=t1_u[10]; // TLM array memory reference
   v1_0=u[10]; // SAC array memory reference
   t1_v1_1=0; // TLM scalar memory reference
   v1_1=n_Tau; // SAC scalar memory reference
   t1_v1_2=0;
 // TLM constant reference
   v1_2=1;
 // SAC constant reference
   t1_v1_3=t1_v1_1-t1_v1_2; // TLM -
   v1_3=v1_1-v1_2; // SAC -
   t1_v1_4=t1_v1_3; // TLM ()
   v1_4=v1_3; // SAC ()
   v1_5=1/v1_4;
   t1_v1_5=v1_5*t1_v1_0-v1_0*v1_5*v1_5*t1_v1_4;// TLM /
   v1_5=v1_0*v1_5;
 // SAC /
   t1_x0[15]=t1_v1_5; // TLM =
   x0[15]=v1_5; // SAC =
   for ( i=16; i<cond; i=i+1) {
      t1_v1_0=0;
 // TLM constant reference
      v1_0=285;
 // SAC constant reference
      t1_x0[i]=t1_v1_0; // TLM =
      x0[i]=v1_0; // SAC =
   }
   t1_v1_0=0;
 // TLM constant reference
   v1_0=285.0628461;
 // SAC constant reference
   t1_x0[cond]=t1_v1_0; // TLM =
   x0[cond]=v1_0; // SAC =
   for ( i=16+n_T; i<cond_2; i=i+1) {
      t1_v1_0=0;
 // TLM constant reference
      v1_0=285;
 // SAC constant reference
      t1_x0[i]=t1_v1_0; // TLM =
      x0[i]=v1_0; // SAC =
   }
   for ( i=16+n_T+n_Theta; i<cond_3; i=i+1) {
      t1_v1_0=0;
 // TLM constant reference
      v1_0=285;
 // SAC constant reference
      t1_x0[i]=t1_v1_0; // TLM =
      x0[i]=v1_0; // SAC =
   }
   t1_v1_0=0;
 // TLM constant reference
   v1_0=284.996;
 // SAC constant reference
   t1_x0[cond_3]=t1_v1_0; // TLM =
   x0[cond_3]=v1_0; // SAC =
   for ( i=16+n_T+2*n_Theta; i<cond_4; i=i+1) {
      t1_v1_0=0;
 // TLM constant reference
      v1_0=285;
 // SAC constant reference
      t1_x0[i]=t1_v1_0; // TLM =
      x0[i]=v1_0; // SAC =
   }
   t1_v1_0=t1_x0[6]; // TLM array memory reference
   v1_0=x0[6]; // SAC array memory reference
   t1_x0[cond_4]=t1_v1_0; // TLM =
   x0[cond_4]=v1_0; // SAC =
   for ( i=16+n_T+2*n_Theta+n_Tau; i<cond_5; i=i+1) {
      t1_v1_0=0;
 // TLM constant reference
      v1_0=285;
 // SAC constant reference
      t1_x0[i]=t1_v1_0; // TLM =
      x0[i]=v1_0; // SAC =
   }
   for ( i=16+n_T+2*n_Theta+2*n_Tau; i<cond_6; i=i+1) {
      t1_v1_0=0;
 // TLM constant reference
      v1_0=285;
 // SAC constant reference
      t1_x0[i]=t1_v1_0; // TLM =
      x0[i]=v1_0; // SAC =
   }
}
